# IRdNtGlobServerCfg Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | Clear ()
## Properties
RtDWORD * | FirstPort`[get]`
RtDWORD | FirstPort`[set]`
RtDWORD * | LastPort`[get]`
RtDWORD | LastPort`[set]`
RtDWORD * | ManagementPort`[get]`
RtDWORD | ManagementPort`[set]`
RtDWORD | BackupInterval`[set]`
RtDWORD * | BackupInterval`[get]`
RtDWORD | ForceBackup`[set]`
RtDWORD * | ForceBackup`[get]`
RtDWORD | WaitInterval`[set]`
RtDWORD * | WaitInterval`[get]`

## Detailed Description

Object holds information about a Shared Space Server node settings.

## Member Function Documentation

HRESULT IRdNtGlobServerCfg::Clear | ( |  | ) |

Call to clear the data object.

## Property Documentation

RtDWORD * IRdNtGlobServerCfg::FirstPort`[get]`

Get the First port of the server. The port is used together with the last port by automatic processes to get the port range in which new Shared Spaces are created.

Returns:
  pdwVal [out,retval] .

RtDWORD IRdNtGlobServerCfg::FirstPort`[set]`

Set the First port of the server. The port is used together with the last port by automatic processes to get the port range in which new Shared Spaces are created.

Parameters:

  | dwVal | [in] .

RtDWORD * IRdNtGlobServerCfg::LastPort`[get]`

Get the Last port of the server. The port is used together with the first port by automatic processes to get the port range in which new Shared Spaces are created.

Returns:
  pdwVal [out,retval] .

RtDWORD IRdNtGlobServerCfg::LastPort`[set]`

Set the Last port of the server. The port is used together with the first port by automatic processes to get the port range in which new Shared Spaces are created.

Parameters:

  | dwVal | [in] .

RtDWORD * IRdNtGlobServerCfg::ManagementPort`[get]`

Get the Management Port. Through this port the server can be remotely controlled.

RtDWORD IRdNtGlobServerCfg::ManagementPort`[set]`

Set the Management Port. Through this port the server can be remotely controlled.

Parameters:

  | dwVal | [in] .

RtDWORD IRdNtGlobServerCfg::BackupInterval`[set]`

Set the Backup interval time in seconds. The backup will be executed when nobody is logged in and the Backup Time elapses.

Parameters:

  | dwVal | [in] .

RtDWORD * IRdNtGlobServerCfg::BackupInterval`[get]`

Get the Backup interval time in seconds. The backup will be executed when nobody is logged in and the Backup Time elapses.

Parameters:

  | pdwVal | [in] .

RtDWORD IRdNtGlobServerCfg::ForceBackup`[set]`

Set the Force Backup interval time in seconds. The backup will be executed even if there is somebody logged in.

Parameters:

  | dwVal | [in] .

RtDWORD * IRdNtGlobServerCfg::ForceBackup`[get]`

Get the Force Backup interval time in seconds. The backup will be executed even if there is somebody logged in.

Parameters:

  | pdwVal | [in] .

RtDWORD IRdNtGlobServerCfg::WaitInterval`[set]`

Set the backup Wait Interval interval time in seconds. The backup could be executed only after this period. You should specify only minimum time e.g. 10 or 20 seconds.

Parameters:

  | dwVal | [in] .

RtDWORD * IRdNtGlobServerCfg::WaitInterval`[get]`

Get the backup Wait Interval interval time in seconds. The backup could be executed only after this period.

Parameters:

  | pdwVal | [in] .